# $Revision: 1.12 $, $Date: 2008/11/13 18:18:46 $
Summary:	libgksuui library
Summary(pl.UTF-8):	Biblioteka libgksuui
Name:		libgksuui
Version:	1.0.7
Release:	5
License:	LGPL
Group:		Libraries
Source0:	http://people.debian.org/~kov/gksu/libgksuui1.0/%{name}1.0-%{version}.tar.gz
# Source0-md5:	c22648bbb17aa942a97cc325e3a85752
URL:		http://www.nongnu.org/gksu/
BuildRequires:	gtk+2-devel >= 2:2.10.1
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgksuui library.

%description -l pl.UTF-8
Biblioteka libgksuui.

%package devel
Summary:	Header files for libgksuui library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgksuui
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.10.1

%description devel
Header files for libgksuui library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgksuui.

%package static
Summary:	Static libgksuui library
Summary(pl.UTF-8):	Statyczna biblioteka libgksuui
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgksuui library.

%description static -l pl.UTF-8
Statyczna biblioteka libgksuui.

%prep
%setup -q -n %{name}1.0-%{version}

%build
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}1.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}1.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_datadir}/%{name}*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/%{name}*
%{_pkgconfigdir}/*.pc
%{_gtkdocdir}/%{name}*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgksuui.spec,v $
Revision 1.12  2008/11/13 18:18:46  arekm
- release 5

Revision 1.11  2008/07/27 22:25:10  arekm
- release 4

Revision 1.10  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.8  2006/07/28 16:32:30  freetz
- rel.3 (neverending libpng12.la story)

Revision 1.7  2006/06/18 11:18:54  freetz
- rel.2, GNOME 2.15.x deps

Revision 1.6  2005/12/15 16:25:36  freetz
- 1.0.7

Revision 1.5  2005/08/10 13:36:02  paladine
- updated to 1.0.6

Revision 1.4  2004/11/27 18:52:08  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.3  2004/10/25 22:27:26  dzeus
- up to 1.0.3 (thx Mateusz Murawski)

Revision 1.2  2004/08/29 15:14:42  qboosh
- BR: pkgconfig

Revision 1.1  2004/08/28 22:21:45  grzegol
- new
